> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentchain.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List Actions

> Returns agent actions with verification status, settlement state, and policy evaluations.



## OpenAPI

````yaml GET /api/v1/settlement/actions
openapi: 3.0.0
info:
  title: AgentChain & PRIOR API
  description: The centralized gateway for the decentralized compute network.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.agentchain.xyz
    description: Production
security: []
tags: []
paths:
  /api/v1/settlement/actions:
    get:
      tags:
        - settlement
      summary: List agent actions
      description: >-
        Returns agent actions with verification status, settlement state, and
        policy evaluations.
      operationId: SettlementController_listActions
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: verificationStatus
          required: false
          in: query
          schema:
            type: string
        - name: settlementStatus
          required: false
          in: query
          schema:
            type: string
        - name: tool
          required: false
          in: query
          schema:
            type: string
        - name: agentId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Paginated action list

````